using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.Rendering;
using System.Collections.Generic;

namespace EDAViewer.Models
{
    public interface IHomeController
    {
        IActionResult Background(bool? message_clear = null, bool? exceptions_clear = null, bool? set_is_primary_instance = null, int? invoke_eda_dcp = null);
        IActionResult Encode(string value = null);
        IActionResult Error();
        IActionResult Index();
        IActionResult Privacy();
        IActionResult ViewEdaHtmlDiff(WithEnvironment withEnvironment = null);
        ActionResult<IEnumerable<SelectListItem>> GetDirectoriesOrFiles(string path = null, bool? upDirectory = null, string filter = null);
    }
}